Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Errore Aggiornamento Gentoo [RISOLTO]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Wed Sep 30, 2009 1:14 pm    Post subject: Errore Aggiornamento Gentoo [RISOLTO] Reply with quote

Salve,
sono nuovo di Gentoo e chiedo aiuto per il seguente errore che mi è capitato aggiornando il sistema :

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

kde-base/kdelibs:3.5

('installed', '/', 'kde-base/kdelibs-3.5.9-r4', 'nomerge') pulled in by
~kde-base/kdelibs-3.5.9 required by ('installed', '/', 'kde-base/kopete-3.5.9', 'nomerge')
(and 17 more)

('ebuild', '/', 'kde-base/kdelibs-3.5.10-r6', 'merge') pulled in by
~kde-base/kdelibs-3.5.10 required by ('installed', '/', 'kde-base/kate-3.5.10', 'nomerge')
~kde-base/kdelibs-3.5.10 required by ('installed', '/', 'kde-base/kdeadmin-kfile-plugins-3.5.10', 'nomerge')
~kde-base/kdelibs-3.5.10 required by ('installed', '/', 'kde-base/kdebase-kioslaves-3.5.10-r1', 'nomerge')
(and 60 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.

Per favore aiutatemi, sono un novello utente di Gentoo e vorrei imparare...
:oops:


Last edited by Simonebb2003 on Tue Oct 06, 2009 2:25 pm; edited 2 times in total
Back to top
View user's profile Send private message
Earthwings
Bodhisattva
Bodhisattva


Joined: 14 Apr 2003
Posts: 7753
Location: Karlsruhe, Germany

PostPosted: Wed Sep 30, 2009 1:40 pm    Post subject: Reply with quote

Moved from Portage & Programming to Forum italiano (Italian). The non-language specific forums are english only.
_________________
KDE
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Wed Sep 30, 2009 3:27 pm    Post subject: Reply with quote

semplicemente portage rileva che hai installate le kdelibs kde-base/kdelibs-3.5.9-r4 e alcuni pacchetti vogliono installare la versione kde-base/kdelibs-3.5.10-r6. credo che la cosa più semplice sia provare a mascherare la versione vecchia e forzare l'aggiornamento alla nuova.
inserisci nel file /etc/portage/package.mask la linea:
Code:
<kde-base/kdelibs-3.5.10-r6
( se non esiste crealo ).

e riprova l'aggiornamento.
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Wed Sep 30, 2009 7:19 pm    Post subject: Errore Aggiornamento Gentoo Reply with quote

Ic3M4n wrote:
semplicemente portage rileva che hai installate le kdelibs kde-base/kdelibs-3.5.9-r4 e alcuni pacchetti vogliono installare la versione kde-base/kdelibs-3.5.10-r6. credo che la cosa più semplice sia provare a mascherare la versione vecchia e forzare l'aggiornamento alla nuova.
inserisci nel file /etc/portage/package.mask la linea:
Code:
<kde-base/kdelibs-3.5.10-r6
( se non esiste crealo ).

e riprova l'aggiornamento.


Ho provato come mi hai detto tu ma niente da fare, a dir il vero avevo provato anche da solo ma senza risultato...
Chiedo aiuto!
Ti ringrazio...
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Wed Sep 30, 2009 7:36 pm    Post subject: Reply with quote

beh... di sicuro l'output di emerge è cambiato. Cosa c'è scritto adesso? Quello che i programmi che scrivono sul terminale non è sempre utile, però nella maggior parte dei casi riesci a capire dove è il problema.
Un "Aiuto non funziona" non serve a nulla.
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Wed Sep 30, 2009 7:50 pm    Post subject: Reply with quote

Ic3M4n wrote:
beh... di sicuro l'output di emerge è cambiato. Cosa c'è scritto adesso? Quello che i programmi che scrivono sul terminale non è sempre utile, però nella maggior parte dei casi riesci a capire dove è il problema.
Un "Aiuto non funziona" non serve a nulla.


Sono un novello, ti ringrazio dei consigli.
Ti posto tutto l'output che mi ha dato il terminale:

localhost bryant # emerge --update --deep --newuse world -vp

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] dev-libs/expat-2.0.1-r2 [2.0.1-r1] 436 kB
[ebuild U ] sys-devel/gnuconfig-20090203 [20080928] 41 kB
[ebuild U ] sys-libs/timezone-data-2009j [2009g] USE="nls" 361 kB
[ebuild U ] sys-apps/which-2.20 [2.19] 133 kB
[ebuild U ] media-libs/win32codecs-20071007-r4 [20071007-r2] USE="(-real)" 13,540 kB
[ebuild U ] dev-util/gtk-doc-am-1.11 [1.10-r1] 443 kB
[ebuild U ] media-sound/alsa-headers-1.0.20 [1.0.19] 2,833 kB
[ebuild U ] media-sound/gsm-1.0.13 [1.0.12-r1] 64 kB
[ebuild U ] media-plugins/live-2009.06.02 [2008.09.02] 459 kB
[ebuild U ] media-libs/libdvbpsi-0.1.6 [0.1.5] USE="-doc" 291 kB
[ebuild U ] app-arch/cabextract-1.2-r1 [1.2] USE="-extra-tools%" 190 kB
[ebuild U ] media-libs/libpng-1.2.38 [1.2.37] 514 kB
[ebuild U ] media-libs/tiff-3.8.2-r8 [3.8.2-r4] USE="jpeg zlib -jbig -nocxx" 1,328 kB
[ebuild U ] app-arch/rpm2targz-9.0.0.3g [9.0-r7] 5 kB
[ebuild N ] sys-libs/libavc1394-0.5.3 348 kB
[ebuild N ] virtual/eject-0 0 kB
[ebuild U ] net-misc/dhcp-3.1.2_p1 [3.1.1] USE="-doc -minimal (-selinux) -static" 774 kB
[ebuild U ] app-shells/bash-4.0_p28 [3.2_p39] USE="net%* nls -afs -bashlogger -examples -plugins -vanilla" 6,155 kB
[ebuild U ] dev-libs/libksba-1.0.7 [1.0.5] 557 kB
[ebuild U ] sys-apps/less-436 [429] USE="unicode" 297 kB
[ebuild U ] media-libs/libmp4v2-1.9.1 [1.5.0.1-r1] USE="-utils%" 423 kB
[ebuild U ] sys-devel/autoconf-2.63-r1 [2.63] USE="-emacs" 1,527 kB
[ebuild U ] dev-libs/libtasn1-2.3 [2.2] USE="-doc" 1,449 kB
[ebuild U ] sys-devel/libtool-2.2.6a [1.5.26] USE="-test% -vanilla" 717 kB
[ebuild U ] sys-libs/readline-6.0_p3 [5.2_p13] 2,224 kB
[ebuild R ] sys-apps/groff-1.20.1-r1 USE="X -examples%" LINGUAS="-ja" 0 kB
[ebuild U ] media-libs/libvorbis-1.2.3 [1.2.1_rc1-r2] USE="-doc (-aotuv%*)" 1,440 kB
[ebuild U ] x11-apps/mkfontscale-1.0.6 [1.0.5] USE="-debug" 104 kB
[ebuild U ] media-libs/faad2-2.7 [2.6.1-r2] USE="-digitalradio" 1,111 kB
[ebuild U ] media-libs/libdca-0.0.5-r2 [0.0.5] USE="-debug -oss" 388 kB
[ebuild U ] media-libs/faac-1.28-r1 [1.26-r1] 663 kB
[ebuild N ] media-libs/libmpcdecsv7-1.2.6 242 kB
[ebuild U ] dev-libs/libconfig-1.3.2 [1.2] 519 kB
[ebuild U ] dev-db/sqlite-3.6.17 [3.6.14.2] USE="readline%* threadsafe -debug -doc -soundex -tcl" 2,912 kB
[ebuild U ] media-fonts/encodings-1.0.2-r1 [1.0.2] USE="-debug" 559 kB
[ebuild U ] dev-libs/nspr-4.8 [4.7.4] USE="ipv6 -debug" 1,143 kB
[ebuild U ] sys-apps/man-pages-3.21 [3.20] USE="nls" LINGUAS="it -cs -da -de -es -fr -ja -nl -pl -ro -ru -zh_CN" 1,063 kB
[ebuild U ] dev-libs/nss-3.12.3-r1 [3.12.2] USE="-utils" 3,972 kB
[ebuild N ] media-fonts/dejavu-2.29 USE="X -fontforge" 4,061 kB
[ebuild U ] sys-apps/sg3_utils-1.27.20080726 [1.27] 840 kB
[ebuild U ] sys-apps/coreutils-7.4 [7.1] USE="acl nls -caps -gmp (-selinux) -static -vanilla -xattr" 9,489 kB
[ebuild U ] dev-libs/popt-1.14 [1.10.7] USE="nls" 680 kB
[ebuild U ] app-editors/nano-2.1.9 [2.1.7-r1] USE="ncurses nls spell unicode -debug -justify -minimal -slang" 1,450 kB
[ebuild U ] net-misc/wget-1.11.4 [1.11.3] USE="ipv6 nls ssl -debug -static (-socks5%)" 933 kB
[ebuild U ] app-text/recode-3.6_p15-r1 [3.6_p15] USE="nls" 0 kB
[ebuild U ] app-portage/eix-0.17.0 [0.16.0] USE="deprecated%* nls -doc -sqlite -tools" 473 kB
[ebuild U ] net-libs/gnutls-2.8.3 [2.6.6] USE="cxx nls zlib -bindist -doc -examples% -guile -lzo" 6,054 kB
[ebuild U ] net-misc/rsync-3.0.6 [3.0.5] USE="acl iconv ipv6 -static -xattr -xinetd" 761 kB
[ebuild U ] net-misc/curl-7.19.6 [7.19.4] USE="ipv6 kerberos ldap ssl -ares -gnutls -idn -libssh2 -nss -test" 2,293 kB
[ebuild NS ] sys-kernel/gentoo-sources-2.6.30-r6 [2.6.29-r5] USE="-build -symlink" 58,160 kB
[ebuild U ] sys-apps/rescan-scsi-bus-1.29 [1.25-r1] 16 kB
[ebuild U ] app-emulation/virtualbox-modules-3.0.6 [2.2.4] 714 kB
[ebuild U ] app-admin/eselect-1.1.3 [1.0.12] USE="-bash-completion -doc" 152 kB
[ebuild U ] app-admin/eselect-python-20090824 [20080925] 5 kB
[ebuild R ] media-libs/mesa-7.3-r1 USE="nptl -debug -motif -pic -xcb (-doc%)" VIDEO_CARDS="-intel -mach64 -mga -none -r128 -radeon -s3virge -savage -sis (-sunffb) -tdfx -trident -via" 0 kB
[ebuild NS ] dev-lang/python-2.6.2-r1 [2.5.4-r3] USE="ipv6 ncurses readline ssl threads xml -berkdb -build -doc -examples -gdbm -sqlite -tk -ucs2 -wininst" 10,907 kB
[ebuild U ] dev-libs/libxml2-2.7.3-r2 [2.7.3] USE="ipv6 python readline -debug -doc -examples -test" 0 kB
[ebuild U ] sys-apps/file-5.03 [4.23] USE="python" 602 kB
[ebuild U ] media-libs/alsa-lib-1.0.20-r1 [1.0.19] USE="python -alisp -debug -doc (-midi%*)" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" 777 kB
[ebuild U ] dev-python/sip-4.8.2 [4.7.9] USE="-debug -doc%" 601 kB
[ebuild U ] dev-python/setuptools-0.6-r1 [0.6_rc9] 253 kB
[ebuild U ] app-admin/python-updater-0.7 [0.5] 7 kB
[ebuild U ] dev-java/sun-jdk-1.6.0.15 [1.6.0.14] USE="X alsa nsplugin -derby -doc -examples -jce -odbc" 79,903 kB
[ebuild U ] x11-libs/cairo-1.8.8 [1.8.6-r1] USE="X glitz opengl svg -cleartype -debug -directfb -doc -xcb" 6,491 kB
[ebuild N ] dev-python/numpy-1.3.0 USE="-lapack -test" 1,950 kB
[ebuild U ] media-sound/alsa-utils-1.0.20-r5 [1.0.19-r2] USE="nls -doc -minimal (-midi%*)" 1,021 kB
[ebuild U ] dev-python/pycairo-1.8.8 [1.8.2] USE="svg%* -doc% -examples" 465 kB
[ebuild U ] app-office/openoffice-bin-3.1.1 [3.0.0] USE="java kde -gnome" LINGUAS="it -af -ar -as_IN -be_BY -bg -bn% -br -brx% -bs -ca -cs -cy% -de -dgo% -dz -el -en -en_GB -en_ZA -eo% -es -et -eu% -fa% -fi -fr -ga -gl% -gu -gu_IN% -he -hi_IN -hr -hu -id% -ka -kk% -km -kn_IN% -ko -kok% -ks% -ku% -lt -mai% -mk -ml_IN -mn% -mni% -mr_IN -my% -nb -ne -nl -nn -nr -ns -oc% -or_IN -pa_IN -pl -pt -pt_BR -ru -rw -sa_IN% -sat% -sd% -sh -sk -sl -sr -ss -st -sv -sw_TZ -ta -ta_IN% -te_IN -tg -th -ti_ER -tn% -tr -ts -uk -ur_IN -uz% -ve -vi -xh -zh_CN -zh_TW -zu (-da%) (-ja%)" 174,610 kB
[ebuild U ] net-dns/libidn-1.15 [1.14] USE="java nls -doc -emacs -mono" 2,574 kB
[ebuild U ] sys-libs/pam-1.1.0 [1.0.4] USE="cracklib nls -audit -debug% (-selinux) -test -vim-syntax" 1,564 kB
[ebuild U ] net-misc/openvpn-2.1_rc15 [2.0.9] USE="pam ssl threads -examples -iproute2 -minimal -passwordsave -pkcs11% (-selinux) -static" 814 kB
[ebuild U ] mail-mta/ssmtp-2.62-r6 [2.62-r4] USE="ipv6 ssl -maxsysuid -md5sum" 56 kB
[ebuild U ] app-cdr/cdrdao-1.2.3_rc2 [1.2.2-r3] USE="encode mad%* vorbis%* -gcdmaster -pccts (-debug%)" 1,403 kB
[ebuild U ] dev-libs/glib-2.20.5 [2.18.4-r1] USE="fam -debug -doc -hardened (-selinux) -xattr" 4,920 kB
[ebuild U ] x11-libs/pango-1.24.5-r1 [1.24.2] USE="X -debug -doc -test%" 1,485 kB
[ebuild U ] media-libs/gstreamer-0.10.23 [0.10.22] USE="nls -test" 2,804 kB
[ebuild U ] dev-libs/atk-1.26.0 [1.24.0] USE="-debug -doc" 703 kB
[ebuild U ] dev-libs/liboil-0.3.16 [0.3.15] USE="examples%* -doc -test%" 836 kB
[ebuild U ] sys-auth/consolekit-0.3.0-r2 [0.2.10] USE="pam -debug -doc% -policykit%" 385 kB
[ebuild U ] media-libs/gst-plugins-base-0.10.23 [0.10.22] USE="nls -debug" 2,077 kB
[ebuild U ] sys-auth/pambase-20090620.1-r1 [20081028] USE="consolekit* cracklib sha512 -debug -gnome-keyring -mktemp -passwdqc (-selinux) -ssh" 3 kB
[ebuild U ] media-libs/schroedinger-1.0.7 [1.0.5] USE="gstreamer" 858 kB
[ebuild U ] media-plugins/gst-plugins-xvideo-0.10.23 [0.10.22] 0 kB
[ebuild U ] app-admin/sudo-1.7.2_p1 [1.7.1-r1] USE="ldap pam -offensive (-selinux) -skey" 753 kB
[ebuild U ] x11-apps/xinit-1.0.8-r8 [1.0.8-r4] USE="consolekit%* pam -debug -minimal (-hal%*)" 0 kB
[ebuild U ] sys-fs/ntfs3g-2009.3.8 [1.2531] USE="hal%* -debug -suid" 638 kB
[ebuild N ] x11-libs/qt-test-4.5.1 USE="iconv -debug -pch" 0 kB
[ebuild R ] x11-base/xorg-server-1.5.3-r6 USE="hal ipv6 nptl sdl xorg -3dfx -debug -dmx -kdrive -minimal -tslib" INPUT_DEVICES="evdev keyboard mouse synaptics -acecad -aiptek -citron -elographics -fpit -hyperpen -joystick -mutouch -penmount -tslib -virtualbox -vmmouse -void -wacom (-calcomp%) (-digitaledge%) (-dmc%) (-dynapro%) (-elo2300%) (-jamstudio%) (-magellan%) (-microtouch%) (-palmax%) (-spaceorb%) (-summa%) (-tek4957%) (-ur98%)" VIDEO_CARDS="nvidia -apm -ark -ast -chips -cirrus -dummy -epson -fbdev -geode -glint -i128 -i740 (-impact) -imstt -intel -mach64 -mga -neomagic (-newport) -nv -r128 -radeon -radeonhd -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vermilion -vesa -via -virtualbox -vmware (-voodoo) -xgi (-fglrx%)" 0 kB
[ebuild U ] dev-python/pygobject-2.18.0 [2.16.1] USE="X -debug -doc -examples -libffi% -test%" 625 kB
[ebuild U ] x11-libs/gtk+-2.16.6 [2.14.7-r2] USE="X cups jpeg tiff xinerama -debug -doc -jpeg2k -test% -vim-syntax" 18,085 kB
[ebuild U ] net-fs/samba-3.0.36 [3.0.33] USE="acl cups fam ipv6 ldap pam python readline -ads -async -automount -caps -debug -doc -examples -oav -quotas (-selinux) -swat -syslog -winbind" 22,868 kB
[ebuild U ] gnome-base/libglade-2.6.4 [2.6.3] USE="-debug -doc" 348 kB
[ebuild U ] www-plugins/adobe-flash-10.0.32.18 [10.0.22.87] USE="32bit 64bit%* (-multilib)" 4,023 kB
[ebuild U ] media-sound/easytag-2.1.6-r2 [2.1.6-r1] USE="flac* mp3 mp4%* vorbis -speex -wavpack (-aac%)" 0 kB
[ebuild U ] www-client/mozilla-firefox-bin-3.0.14 [3.0.11] USE="-restrict-javascript" LINGUAS="it -af -ar -be -bg -bn -bn_IN -ca -cs -cy -da -de -el -en -en_GB -en_US -eo -es -es_AR -es_ES -et -eu -fi -fr -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hu -id -is -ja -ka -kn -ko -ku -lt -lv -mk -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -si -sk -sl -sq -sr -sv -sv_SE -te -th -tr -uk -zh -zh_CN -zh_TW" 9,054 kB
[ebuild U ] dev-python/pygtk-2.14.1-r1 [2.14.1] USE="X -doc -examples" 0 kB
[ebuild U ] gnome-base/gnome-keyring-2.22.3-r2 [2.22.3-r1] USE="hal pam -debug -doc -test" 0 kB
[ebuild U ] kde-base/kdelibs-3.5.10-r6 [3.5.9-r4] USE="acl alsa arts branding cups fam kdehiddenvisibility kerberos spell tiff -avahi -bindist -debug -doc -jpeg2k -legacyssl -lua -openexr -utempter (-kdeenablefinal%) (-xinerama%*)" 0 kB
[ebuild R ] media-video/ffmpeg-0.5-r1 USE="3dnow 3dnowext X alsa encode hardcoded-tables ieee1394 ipv6 mmx mmxext mp3 sdl ssse3 threads vorbis x264* xvid zlib (-altivec) -amr -bindist -custom-cflags -debug -dirac -doc -faac -faad -gsm -jpeg2k -network -oss -schroedinger -speex -test -theora -v4l -v4l2 -vdpau% -vhook" VIDEO_CARDS="nvidia%*" 0 kB
[ebuild U ] x11-libs/wxGTK-2.8.10.1-r1 [2.8.9.1-r3] USE="X gstreamer opengl sdl -debug -doc -gnome -odbc -pch" 29,074 kB
[ebuild I U ] app-emulation/virtualbox-bin-3.0.6-r1 [2.2.4] USE="additions chm -headless -sdk -vboxwebsrv" 49,190 kB
[ebuild R ] media-sound/sox-14.2.0 USE="alsa encode ffmpeg flac* mad ogg png -amrnb -amrwb -ao -debug -id3tag -ladspa -libsamplerate -oss -sndfile -wavpack" 943 kB
[ebuild U ] media-libs/libquicktime-1.1.3 [1.1.1] USE="X aac* alsa encode ffmpeg gtk jpeg lame mmx opengl png vorbis x264* -doc -dv -schroedinger%" 961 kB
[ebuild U ] media-libs/xine-lib-1.1.16.3-r1 [1.1.16.3] USE="X a52 aac* alsa arts dts dvd esd flac* gtk ipv6 mad modplug musepack nls opengl sdl theora truetype v4l vorbis win32codecs xcb xinerama xv xvmc -aalib (-altivec) -directfb -dxr3 -fbcon -gnome -imagemagick -jack -libcaca -mmap -mng -oss -pulseaudio (-real) -samba -speex -vcd -vidix (-vis) -wavpack" 0 kB
[ebuild U ] dev-python/wxpython-2.8.10.1 [2.8.9.1-r2] USE="cairo opengl -doc% -examples%" 0 kB
[ebuild U ] media-video/mplayer-1.0_rc2_p20090731 [1.0_rc2_p20090322] USE="X a52 aac alsa ass cddb cdio dirac dts dv dvd dvdnav enca encode esd faac faad gif iconv ipv6 jpeg live mad mmx mp2 mp3 network opengl osdmenu%* png quicktime rar real rtc schroedinger sdl shm%* speex sse sse2 ssse3 theora tremor truetype unicode vorbis win32codecs x264 xinerama xscreensaver xv xvid xvmc -3dnow -3dnowext -aalib (-altivec) -bidi -bindist -bl -cdparanoia -cpudetection -custom-cflags -custom-cpuopts -debug -dga -directfb -doc -dvb -dxr3 -fbcon -ftp -ggi -gmplayer% -jack -joystick -ladspa -libcaca -lirc -lzo -md5sum -mmxext -mng -nas -openal -oss -pnm -pulseaudio -pvr -radio -samba -svga -teletext -tga -v4l -v4l2 -vdpau -vidix -xanim -zoran (-amrnb%*) (-amrwb%*) (-arts%*) (-gtk%*) (-musepack%) (-nemesi%*)" VIDEO_CARDS="nvidia -mga -s3virge -tdfx -vesa" 8,048 kB
[ebuild R ] media-video/transcode-1.0.7 USE="X a52* dvd iconv jpeg mmx mp3 mpeg ogg quicktime sdl sse sse2 truetype vorbis xml xvid -3dnow (-altivec) -dv -extrafilters -fame -imagemagick -lzo -mjpeg -network -nuv -oss -theora -v4l2" 0 kB
[ebuild U ] app-emulation/playonlinux-3.6 [3.5] 1,084 kB
[ebuild U ] app-cdr/k3b-1.0.5-r6 [1.0.5-r5] USE="alsa arts dvd dvdr encode ffmpeg flac* hal mp3 vorbis xinerama -css -debug -emovix -musepack -musicbrainz -sndfile -vcd" LINGUAS="it -af -ar -bg -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -is -ja -ka -lt -mk -ms -nb -nds -nl -nn -pa -pl -pt -pt_BR -ru -rw -se -sk -sr -sr@Latn -sv -ta -tr -uk -uz -zh_CN -zh_TW" 0 kB
[ebuild U ] dev-python/PyQt4-4.5.4-r4 [4.4.4-r2] USE="X dbus kde%* opengl svg -assistant% -debug -doc -examples -phonon% -sql% -webkit -xmlpatterns% (-qt3support%*)" 6,808 kB
[ebuild U ] x11-themes/qtcurve-0.65.2 [0.59.5] 113 kB
[ebuild U ] net-wireless/wpa_supplicant-0.6.9 [0.6.4] USE="dbus qt3 qt4 readline ssl -debug -eap-sim -gnutls -madwifi -ps3 -wps%" 1,151 kB
[ebuild U ] x11-drivers/nvidia-drivers-173.14.20 [173.14.18] USE="acpi gtk -custom-cflags (-multilib)" 11,604 kB
[ebuild U ] media-video/nvidia-settings-180.60 [180.29] 1,311 kB
[ebuild U ] x11-libs/qscintilla-2.4 [2.3.2] USE="python qt4 -doc (-debug%) (-examples%)" 2,251 kB
[ebuild U ] dev-python/qscintilla-python-2.4 [2.3.2-r2] USE="qt4 -debug%" 0 kB
[ebuild U ] dev-python/PyQt-3.18.1 [3.17.6] USE="-debug -doc -examples" 801 kB
[ebuild U ] media-sound/amarok-1.4.10_p20090130-r3 [1.4.10_p20090130-r2] USE="amazon ipod kde mp4* mtp opengl python visualization xinerama -daap -debug -ifp -musicbrainz -mysql -njb -postgres (-real)" LINGUAS="it -af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -tg -th -tr -uk -uz -zh_CN -zh_TW" 0 kB
[ebuild R ] x11-libs/libnotify-0.4.5 USE="(-doc%)" 0 kB
[ebuild U ] media-video/vlc-1.0.2 [0.9.9a-r1] USE="X a52* aac alsa dbus dts* dvd ffmpeg flac* gcrypt hal ieee1394%* libnotify mmx mp3 mpeg ncurses ogg opengl png qt4 sdl sse svg truetype vorbis win32codecs x264* xinerama xml xv -aalib (-altivec) -atmo -avahi -bidi -cdda -cddax -cddb -cdio -dc1394 -debug -dirac -directfb -dvb -fbcon -fluidsynth -fontconfig -ggi -gnome -gnutls -httpd -id3tag -jack -kate -libass -libcaca -libproxy% -libsysfs -libtiger% -libv4l2 -lirc -live -lua -matroska -modplug -mtp% -musepack -nsplugin -optimisememory -oss (-pda) -pulseaudio -pvr -remoteosd -rtsp -run-as-root -samba -schroedinger -sdl-image -seamonkey -shine% -shout -skins -speex -stream -svga -taglib -theora -twolame -upnp -v4l -v4l2 -vcdinfo -vcdx -vlm -wma-fixed% -xcb% -xosd -zvbi (-arts%*) (-esd%*)" 20,475 kB
[ebuild U ] app-editors/vim-core-7.2.182 [7.2] USE="acl nls -bash-completion -livecd" 9,335 kB
[ebuild U ] app-editors/vim-7.2.182 [7.2] USE="acl gpm nls perl python -bash-completion -cscope -minimal -ruby -vim-pager -vim-with-x" 0 kB

Total: 122 packages (107 upgrades, 6 new, 2 in new slots, 7 reinstalls, 1 interactive), Size of downloads: 632,868 kB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

kde-base/kdelibs:3.5

('installed', '/', 'kde-base/kdelibs-3.5.9-r4', 'nomerge') pulled in by
~kde-base/kdelibs-3.5.9 required by ('installed', '/', 'kde-base/kopete-3.5.9', 'nomerge')
(and 17 more)

('ebuild', '/', 'kde-base/kdelibs-3.5.10-r6', 'merge') pulled in by
~kde-base/kdelibs-3.5.10 required by ('installed', '/', 'kde-base/kate-3.5.10', 'nomerge')
~kde-base/kdelibs-3.5.10 required by ('installed', '/', 'kde-base/kdeadmin-kfile-plugins-3.5.10', 'nomerge')
~kde-base/kdelibs-3.5.10 required by ('installed', '/', 'kde-base/kdebase-kioslaves-3.5.10-r1', 'nomerge')
(and 60 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
viralex
Apprentice
Apprentice


Joined: 24 Apr 2008
Posts: 237
Location: Viareggio (Lu,Italy)

PostPosted: Wed Sep 30, 2009 8:22 pm    Post subject: Reply with quote

puoi rimuovere kdelibs-3.5.9-r4 con l'opzione -C. e poi riemergere il pacchetto normalmente.
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Thu Oct 01, 2009 1:16 am    Post subject: Reply with quote

viralex wrote:
puoi rimuovere kdelibs-3.5.9-r4 con l'opzione -C. e poi riemergere il pacchetto normalmente.


Ho rimosso come mi hai detto poi ho riemerso il pacchetto e mi ha installato la versione dopo con questo messaggio alla fine della installazione :

>>> Installing (1 of 1) kde-base/kdelibs-3.5.10-r6
* Checking desktop entry validity

* >>> SetUID: [chmod go-r] /usr/kde/3.5/bin/kgrantpty ... [ ok ]
* >>> SetUID: [chmod go-r] /usr/kde/3.5/bin/start_kdeinit ... [ ok ]
* Running kbuildsycoca to build global database ... [ ok ]
* Running kbuildsycoca to build global database ... [ ok ]

* Messages for package kde-base/kdelibs-3.5.10-r6:

* On some setups, which rely on the correct update of utmp records, not using
* utempter might not update them correctly. If you experience unexpected
* behaviour, try to rebuild kde-base/kdelibs with utempter use-flag enabled.
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

* GNU info directory index is up-to-date.

Poi ho aggiornato e mi è uscito questo che non ho ben capito :

localhost bryant # emerge --update --deep --newuse world -vp

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "~kde-base/kdelibs-3.5.9" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdelibs-3.5.9-r4 (masked by: package.mask)
- kde-base/kdelibs-3.5.9-r3 (masked by: package.mask, ~x86 keyword)
- kde-base/kdelibs-3.5.9-r2 (masked by: package.mask, ~x86 keyword)
- kde-base/kdelibs-3.5.9-r1 (masked by: package.mask, ~x86 keyword)
- kde-base/kdelibs-3.5.9 (masked by: package.mask, ~x86 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "kde-base/kopete-3.5.9" [installed])
(dependency required by "world" [argument])

Poi ho provato a togliere la righa su package.mask ma ritornato gli errori di prima... identici....

Stando a quanto dice eix io ho la seguente versione installata :

I] kde-base/kdelibs
Available versions:
(3.5) ~3.5.9!t ~3.5.9-r1!t ~3.5.9-r2!t ~3.5.9-r3!t 3.5.9-r4!t ~3.5.10-r1!t ~3.5.10-r2!t ~3.5.10-r3!t ~3.5.10-r4!t ~3.5.10-r5!t 3.5.10-r6!t
(4.2) [m]~4.2.4-r4!t
(4.3) [m]~4.3.0!t [m]~4.3.1!t
{3dnow acl alsa altivec aqua arts avahi bindist branding bzip2 cups debug doc elibc_FreeBSD fam handbook jpeg2k kdeenablefinal kdehiddenvisibility kdeprefix kerberos kernel_linux legacyssl lua mmx nls openexr opengl semantic-desktop spell sse sse2 ssl test tiff utempter xinerama zeroconf}
Installed versions: 3.5.10-r6(3.5)!t(03:00:45 01/10/2009)(acl alsa arts branding cups fam kdehiddenvisibility kerberos kernel_linux spell tiff -avahi -bindist -debug -doc -elibc_FreeBSD -jpeg2k -legacyssl -lua -openexr -utempter)
Homepage: http://www.kde.org/
Description: KDE libraries needed by all KDE programs.

Non ho idea di come fare a sistemare...
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Thu Oct 01, 2009 7:48 am    Post subject: Reply with quote

Ho scoperto che il mio problema era legato ai pacchetti che avevo ne package.mask, una volta eliminati quelli è andato tutto a buon fine.
Poi come termine dell'aggiornamento mi esce un errore con il pacchetto app-emulation/virtualbox-modules-3.0.6 .
Vi posto l'output:

localhost bryant # emerge --update --deep --newuse world
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 72) app-emulation/virtualbox-modules-3.0.6
* vbox-kernel-module-src-3.0.6.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* Determining the location of the kernel source code
* Found kernel source directory:
* /usr/src/linux
* Could not find a Makefile in the kernel source directory.
* Please ensure that /usr/src/linux points to a complete set of Linux sources
* Unable to calculate Linux Kernel version for build, attempting to use running version
* Could not find a usable .config in the kernel source directory.
* Please ensure that /usr/src/linux points to a configured set of Linux sources.
* If you are using KBUILD_OUTPUT, please set the environment var so that
* it points to the necessary object directory so that it might find .config.
*
* ERROR: app-emulation/virtualbox-modules-3.0.6 failed.
* Call stack:
* ebuild.sh, line 49: Called pkg_setup
* virtualbox-modules-3.0.6.ebuild, line 31: Called linux-mod_pkg_setup
* linux-mod.eclass, line 580: Called require_configured_kernel
* linux-info.eclass, line 264: Called die
* The specific snippet of code:
* die "Kernel not configured; no .config found in ${KV_OUT_DIR}"
* The die message:
* Kernel not configured; no .config found in
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/app-emulation/virtualbox-modules-3.0.6/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/app-emulation/virtualbox-modules-3.0.6/temp/die.env'.
*

>>> Failed to emerge app-emulation/virtualbox-modules-3.0.6, Log file:

>>> '/var/tmp/portage/app-emulation/virtualbox-modules-3.0.6/temp/build.log'

* Messages for package app-emulation/virtualbox-modules-3.0.6:

* Could not find a Makefile in the kernel source directory.
* Please ensure that /usr/src/linux points to a complete set of Linux sources
* Unable to calculate Linux Kernel version for build, attempting to use running version
* Could not find a usable .config in the kernel source directory.
* Please ensure that /usr/src/linux points to a configured set of Linux sources.
* If you are using KBUILD_OUTPUT, please set the environment var so that
* it points to the necessary object directory so that it might find .config.
*
* ERROR: app-emulation/virtualbox-modules-3.0.6 failed.
* Call stack:
* ebuild.sh, line 49: Called pkg_setup
* virtualbox-modules-3.0.6.ebuild, line 31: Called linux-mod_pkg_setup
* linux-mod.eclass, line 580: Called require_configured_kernel
* linux-info.eclass, line 264: Called die
* The specific snippet of code:
* die "Kernel not configured; no .config found in ${KV_OUT_DIR}"
* The die message:
* Kernel not configured; no .config found in
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/app-emulation/virtualbox-modules-3.0.6/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/app-emulation/virtualbox-modules-3.0.6/temp/die.env'.
*

Vi ringrazio in anticipo per la vostra cortesia
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Thu Oct 01, 2009 10:37 am    Post subject: Reply with quote

Simonebb2003 wrote:

* Found kernel source directory:
* /usr/src/linux
* Could not find a Makefile in the kernel source directory.
* Please ensure that /usr/src/linux points to a complete set of Linux sources
* Unable to calculate Linux Kernel version for build, attempting to use running version
* Could not find a usable .config in the kernel source directory.
* Please ensure that /usr/src/linux points to a configured set of Linux sources.

beh un minimo d'inglese eh... :D
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Thu Oct 01, 2009 10:58 am    Post subject: Reply with quote

in ogni caso: ogni problema un thread. Se hai risolto con le kdelibs dovresti mettere un titolo "autoesplicativo" tipo: problema "block kdelibs 3.5.9" o quello che ti viene in mente. Per virtualbox era meglio aprirne uno nuovo anche se come detto da ag088 sarebbe bastato leggere quello che c'era scritto nel terminale.
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Thu Oct 01, 2009 12:39 pm    Post subject: Reply with quote

Ic3M4n wrote:
in ogni caso: ogni problema un thread. Se hai risolto con le kdelibs dovresti mettere un titolo "autoesplicativo" tipo: problema "block kdelibs 3.5.9" o quello che ti viene in mente. Per virtualbox era meglio aprirne uno nuovo anche se come detto da ag088 sarebbe bastato leggere quello che c'era scritto nel terminale.


Ma il mio problema è che non riesco ad aggiornare gentoo... poi un minimo di inglese anche lo ho usato ma non ho capito cosa dovrei modificare...
Se mi dite che devo cambiare thread lo faccio....
Sono nuovo e so pochissimo del forum e di gentoo, Vi prego di perdonarmi
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Thu Oct 01, 2009 1:07 pm    Post subject: Reply with quote

beh... il messaggio di errore di virtualbox dice che non hai i sorgenti del kernel compilati in /usr/src/linux probabilmente hai modificato il symlink dopo un aggiornamento e non hai ricompilato il nuovo kernel. devi quindi controllare a cosa punta /usr/src/linux
Code:
eselect kernel list
Available kernel symlink targets:
  [1]   linux-2.6.30-gentoo-r4 *
  [2]   linux-2.6.30-gentoo-r5

controllare che il kernel a cui punta sia quello che stai usando:
Code:
uname -r
2.6.30-gentoo-r4

e nel caso modificarlo sempre con eselect:
Code:
eselect kernel set 2

nel mio caso imposta linux-2.6.30-gentoo-r5. il tuo output potrebbe essere diverso.
L'alternativa è compilare il nuovo kernel che hai in /usr/src/linux con il classico
Code:
cd /usr/src/linux
copia del vecchio file .config
make oldconfig
make menuconfig
controllo
make && make modules_install
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Thu Oct 01, 2009 1:19 pm    Post subject: Reply with quote

Ic3M4n wrote:
beh... il messaggio di errore di virtualbox dice che non hai i sorgenti del kernel compilati in /usr/src/linux probabilmente hai modificato il symlink dopo un aggiornamento e non hai ricompilato il nuovo kernel. devi quindi controllare a cosa punta /usr/src/linux
Code:
eselect kernel list
Available kernel symlink targets:
  [1]   linux-2.6.30-gentoo-r4 *
  [2]   linux-2.6.30-gentoo-r5

controllare che il kernel a cui punta sia quello che stai usando:
Code:
uname -r
2.6.30-gentoo-r4

e nel caso modificarlo sempre con eselect:
Code:
eselect kernel set 2

nel mio caso imposta linux-2.6.30-gentoo-r5. il tuo output potrebbe essere diverso.
L'alternativa è compilare il nuovo kernel che hai in /usr/src/linux con il classico
Code:
cd /usr/src/linux
copia del vecchio file .config
make oldconfig
make menuconfig
controllo
make && make modules_install


Ho sempre aggiornato e non ho mai ricompilato il nuovo kernel perchè considero l'operazione molto rischiosa, infatti la facevo con un amico, che è anche lo stesso che mi ha inizializzato a gentoo.
Penso che sia arrivato il momento di compilare il nuovo kernel perchè ho ancora il 28 :

localhost bryant # eselect kernel list
Available kernel symlink targets:
[1] linux-2.6.27-gentoo-r8
[2] linux-2.6.28-gentoo-r5 *
[3] linux-2.6.29-gentoo-r5
[4] linux-2.6.30-gentoo-r6

Non mi ricordo come posso copiare la configurazione di quello vecchio in quello nuovo e poi una volta ricompilato aggiornare la riga di boot all'avvio del pc su grub...
Vi ringrazio
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Thu Oct 01, 2009 1:38 pm    Post subject: Reply with quote

non è necessario mettere quello nuovo. puoi anche tenerti quello. controlla solo che /usr/src/linux punti a quello che stai utilizzando.
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Thu Oct 01, 2009 1:40 pm    Post subject: Reply with quote

Simonebb2003 wrote:
infatti la facevo con un amico, che è anche lo stesso che mi ha inizializzato a gentoo.


Il primo caso di variabile senziente. :lol:
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Thu Oct 01, 2009 1:52 pm    Post subject: Reply with quote

Ic3M4n wrote:
non è necessario mettere quello nuovo. puoi anche tenerti quello. controlla solo che /usr/src/linux punti a quello che stai utilizzando.


/usr/src/linux punta già al kernel che sto utilizzando, per questo pensavo di doverlo cambiare....
Comunque non ho problemi a dover inserire il kernel nuovo...
Il problema è che non sono sicuro di come si possa utilizzare la configurazione vecchia su quello nuovo, e punto ancora più importante cosa devo inserire in grub perchè mi avvii il kernel nuovo
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Thu Oct 01, 2009 1:57 pm    Post subject: Reply with quote

Onip wrote:
Simonebb2003 wrote:
infatti la facevo con un amico, che è anche lo stesso che mi ha inizializzato a gentoo.


Il primo caso di variabile senziente. :lol:

non avevo letto! :lol:
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Fri Oct 02, 2009 5:22 pm    Post subject: Reply with quote

Ic3M4n wrote:
non è necessario mettere quello nuovo. puoi anche tenerti quello. controlla solo che /usr/src/linux punti a quello che stai utilizzando.


Io ho aggiornato il kernel seguendo il manuale di Gentoo, poi ho installato i driver nuovi per la mia scheda video, e diciamo che è andato tutto bene però arrivato al login di kdm mi sono reso conto che la tastiera non dava segni di vita. Che devo fare per far attivare la tastiera?
In compenso ho provato a ritornare da grub in gentoo con il kernel vecchio e mi è uscito un errore con il modulo della scheda video.
Ora mi ritrovo a scrivervi da un live cd. Per favore aiuto
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Fri Oct 02, 2009 7:08 pm    Post subject: Reply with quote

per tastiera e mouse controlla di avere evdev compilato nel kernel, builtin o come modulo, è indifferente.
per il kernel... beh... il kernel che stavi usando probabilmente l'hai disinstallato, visto che dicevi che /usr/src/linux puntava a quello corretto
se stai usando driver nvidia o ati proprietari devi reinstallarlo. controlla la versione e vedi se è ancora in portage.
nel caso reinstalla i sorgenti, ricompila il kernel e fai l'emerge dei drivers.
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Sat Oct 03, 2009 12:54 am    Post subject: Reply with quote

Ic3M4n wrote:
per tastiera e mouse controlla di avere evdev compilato nel kernel, builtin o come modulo, è indifferente.
per il kernel... beh... il kernel che stavi usando probabilmente l'hai disinstallato, visto che dicevi che /usr/src/linux puntava a quello corretto
se stai usando driver nvidia o ati proprietari devi reinstallarlo. controlla la versione e vedi se è ancora in portage.
nel caso reinstalla i sorgenti, ricompila il kernel e fai l'emerge dei drivers.


Allora, ho provato ad andare alla ricerca dei moduli della tastiera ma niente da fare. Se per favore potete dirmi passo passo cosa devo fare perchè per certe cose non sono sicuro e sono alle prime armi.
Vi spiego cosa ho fatto fin'ora, entrando in gentoo con il kernel aggiornato arrivato al login non si poteva scrivere nome utente e password, allora sono entrato nella console, poi ho dato i seguenti comandi :

Code:
cd usr/src/linux-2.6.30-gentoo-r6
make menuconfig ( dal menù di configurazione del kernel ho cercato tutte le possibili voci in cui si parlava di tastiera e le ho messe con l'asterisco * )
make && make modules_install
cp arch/i386/boot/bzImage /boot/kernel-2.6.30


Dopo di che ho modificato la voce nel menu.lst che è la seguente :
Code:
title=Gentoo-2.6.30
root (hd0,0)
kernel /boot/kernel-2.6.30-gentoo-r6 root=/dev/sda1 video=vesa:mtrr,ywrap vga=0x318 quiet doscsi


Una volta modificato, ho salvato e riavviato. Dopo avvio di grub e selezionato la voce mi ha chiesto la risoluzione del vga, poi e partito normalmente arrivando all'avvio di kdm in cui non potevo inserire i dati dell'utente.
Ecco vi ho spiegato tutto quello che ho fatto. Vi prego di dirmi dove ho sbagliato e qual'è la voce giusta nel kernel per la tastiera.
Vi ringrazio in anticipo.
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Sat Oct 03, 2009 1:50 am    Post subject: Reply with quote

certo che finchè uno ti scrive evdev e tu cerchi keyboard...
Code:

Device Drivers  --->   Input device support  --->  <*>   Event interface

inoltre... ripeto. /usr/src/linux deve essere un link al kernel in uso, altrimenti i moduli che prendi da portage non potrai mai installarli.
nel tuo caso ls -l /usr/src/linux deve dare come output /usr/src/linux-2.6.30-gentoo-r6
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Sat Oct 03, 2009 11:34 am    Post subject: Reply with quote

Ic3M4n wrote:
certo che finchè uno ti scrive evdev e tu cerchi keyboard...
Code:

Device Drivers  --->   Input device support  --->  <*>   Event interface

inoltre... ripeto. /usr/src/linux deve essere un link al kernel in uso, altrimenti i moduli che prendi da portage non potrai mai installarli.
nel tuo caso ls -l /usr/src/linux deve dare come output /usr/src/linux-2.6.30-gentoo-r6


Il punto è che non ho mai aggiornato un kernel e non conosco nessuno voce.
Cmq ho rifatto la procedura ed Event interface era già segnata con l'asterisco e l' output del codice ls -l /usr/scr/linux era /usr/scr/linux-2.6.30-gentoo-r6 ... A questo punto sono nelle vostre mani.
Non ho la più pallida idea di cosa possa fare....
Vi ringrazio di nuovo per le vostre risposte
Back to top
View user's profile Send private message
Simonebb2003
n00b
n00b


Joined: 30 Sep 2009
Posts: 19

PostPosted: Sat Oct 03, 2009 6:06 pm    Post subject: Reply with quote

[quote="Simonebb2003"]
Ic3M4n wrote:
certo che finchè uno ti scrive evdev e tu cerchi keyboard...
Code:

Device Drivers  --->   Input device support  --->  <*>   Event interface

inoltre... ripeto. /usr/src/linux deve essere un link al kernel in uso, altrimenti i moduli che prendi da portage non potrai mai installarli.
nel tuo caso ls -l /usr/src/linux deve dare come output /usr/src/linux-2.6.30-gentoo-r6


Avevo già inserito Event Interface come modulo, cioè con l' asterisco e /usr/src/linux puntava già al kernel 2.6.30 quindi non so più dove sia il problema.
Voi avete qualche idea? Vi chiedo aiuto perchè vorrei tornare ad usare il mio amato Gentoo aggiornato possibilmente...
Vi ringrazio
Back to top
View user's profile Send private message
K.a.o.s.
n00b
n00b


Joined: 19 Mar 2009
Posts: 20
Location: /dev/null

PostPosted: Sat Oct 03, 2009 6:55 pm    Post subject: Reply with quote

Io proverei, in chroot dalla live ovviamente:
Code:
emerge -1 `qlist -I -C x11-drivers/`


Poi controllerei che hald sia impostato al boot.
_________________
A river too pure, yields no fish.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum